--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Hash of prepared statements for this connection. Keys are string names of the server side prepared statement, and values are SQL strings.
  name: prepared_statements
  rw: R
class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: PGconn subclass for connection specific methods used with the pg, postgres, or postgres-pr driver.
constants: []

full_name: Sequel::Postgres::Adapter
includes: 
- !ruby/object:RI::IncludedModule 
  name: Sequel::Postgres::AdapterMethods
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: apply_connection_settings
- !ruby/object:RI::MethodSummary 
  name: execute
name: Adapter
superclass: "::PGconn"
